package jst.symtab.link;

import parser.parsetree.*;

public class StringIdentifier extends Identifier {
	
	protected String name;

	protected int line;

	protected int column;

	public StringIdentifier(String theName, int theLine, int theCol) {
		name = theName;
		line = theLine;
		column = theCol;
	}

	public String getName() {
		return name;
	}

	public int getLine() {
		return line;
	}
	
	public int getColumn() {
		return column;
	}

	public SyntaxTreeLeaf getSource() {
		return null;
	}
}
