package jst.symtab.link;

import java.lang.reflect.Modifier;
import jst.app.JSTMessage;
import jst.symtab.*;

public abstract class TypedLookup extends IdLookup implements TypeLink {

	protected TypedLookup(ScopeLink theQualifier, Identifier name) {
		super(theQualifier, name);
	}

	public TypedLookup(Decl newOwner, TypedLookup that) {
		super(newOwner, that);
	}

	public Scope getScope() {
		if (getType() == null)
			return null;

		return getType().asReferenceType();
	}

	public abstract TypeDecl getType();

	public boolean isInstance() {
		if (getDecl() == null)
			return false;

		return Modifier.isStatic(getDecl().getModifier());
	}
}
