package jst.model;

import java.util.List;

abstract public class ConstructedClassType extends ClassType {
	/**
	 * The generic class type that this type instantiates.
	 */
	private GenericClassType _instantiates;
	
	/**
	 * The actual types used for the type parameters of _instantiates. This is
	 * empty iff _instantiates takes no type parameters.
	 */
	List<ActualType> _arguments;

}
